Skip to main content
POST
Creates a status page template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

status_page_id
string
required

Body

application/vnd.api+json
status_page_id
string
required
title
string
required

Title of the template

body
string
required

Description of the event the template will populate

created_at
string
required

Date of creation

updated_at
string
required

Date of last update

update_title
string | null

Title that will be used for the status page update

update_status
enum<string> | null

Status of the event the template will populate. Allowed values depend on the team's feature flags

Available options:
investigating,
identified,
monitoring,
resolved,
planning,
scheduled,
in_progress,
verifying,
completed,
cancelled
kind
enum<string>

The kind of the status page template

Available options:
normal,
scheduled
should_notify_subscribers
boolean | null

Controls if incident subscribers should be notified

enabled
boolean | null

Enable / Disable the status page template

position
integer

Position of the workflow task

Response

incident_event created

data
object
required
included
object[]